Skip to content
Primary navigation

Retrieve group user

GET/organization/groups/{group_id}/users/{user_id}

Retrieves a user in a group.

Path ParametersExpand Collapse
group_id: string
user_id: string
ReturnsExpand Collapse
id: string

Identifier for the user.

email: string

Email address of the user, or null for users without an email.

is_service_account: boolean

Whether the user is a service account.

name: string

Display name of the user.

picture: string

URL of the user’s profile picture, if available.

user_type: "user" or "tenant_user"

The type of user.

One of the following:
"user"
"tenant_user"

Retrieve group user

curl https://api.openai.com/v1/organization/groups/group_01J1F8ABCDXYZ/users/user_abc123 \
  -H "Authorization: Bearer $OPENAI_ADMIN_KEY" \
  -H "Content-Type: application/json"
{
    "id": "user_abc123",
    "name": "Ada Lovelace",
    "email": "ada@example.com",
    "picture": null,
    "is_service_account": false,
    "user_type": "user"
}
Returns Examples
{
    "id": "user_abc123",
    "name": "Ada Lovelace",
    "email": "ada@example.com",
    "picture": null,
    "is_service_account": false,
    "user_type": "user"
}